Google CDN
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Returns details of a single Google CDN action
Request
REQUIRED SCOPES
PIPELINE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
Response
RESPONSE BODY
typestring
The type of the actionValue: GOOGLE_CDN_INVALIDATE
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executed. ON_SUCCESS actions run after every successful run, also one ended by an EARLY_EXIT actionAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
Names of the variables to loop over (IMAGES, not $IMAGES and not a value). The action runs once for each item of the value, and once for each combination of items when several variables are listed. The variable value is split into items by new lines, or by commas when it has no new lines (a single-line JSON object or key=value pairs stays one item). An item that is a JSON object or key=value pairs also sets one variable per key, named <VARIABLE>_<key>; an item that starts with EXTRACT: sets them as plain <key>.purge_allboolean
If set to true, all cached content will be purged. When false, the action purges the objects listed in the request, or - if no list is given - the files from the changesetpurge_by_change_set_limitinteger
The maximum number of objects to purge one by one. Above this limit the whole cache is purged insteadlocal_pathstring
The path to the local files to invalidatedeployment_excludesstring[]
The list of files or directories to exclude from cache invalidationdeployment_includesstring[]
The list of files or directories to include in cache invalidationpathsstring[]
The fixed list of paths to invalidate. The changeset is not computed when the list is set, so the pipeline needs no refsinput_typestring enum
The type of source input for invalidation (SCM or BUILD_ARTIFACTS). Required only when purging by changeset, that is when purge_all is false and no objects to purge are givenAllowed enum:
SCM_REPOSITORY,BUILD_ARTIFACTSintegrationIntegrationIdentifierView
The integration used by the actiondistribution_idstring
The ID of the Google web distributionurl_mapstring
The name of the mapping rulesremote_pathstring
The absolute or relative path on the remote serverLast modified on Nov 17, 2026
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
STATUS
200 OK